Bug 1122292 - JDG Doc References Removed "Loaders" XML Elements / Java Methods
Summary: JDG Doc References Removed "Loaders" XML Elements / Java Methods
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Post GA
: 6.2.1
Assignee: Rakesh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 20:58 UTC by John Osborne
Modified: 2014-08-10 23:33 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-10 23:33:20 UTC
Type: Bug


Attachments (Terms of Use)

Description John Osborne 2014-07-22 20:58:00 UTC
From looking at the XML Schemas and infinispan jar files it appears as though the loaders XML elements and methods have been removed but the docs still make several references towards them.

Here is one specific example from 6.2 Doc
https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.2/html/Administration_and_Configuration_Guide/Configure_the_Cache_Loader_Programmatically1.html

Comment 2 Rakesh 2014-07-25 16:33:38 UTC
Examined the JDG 6.3 Admin guide. The loaders XML elements and methods are already removed. The loaders XMLs are only mentioned in JDG 6.2 doc.

Comment 3 Rakesh 2014-07-25 16:36:01 UTC
Tristan, could you take a look at this? The JDG 6.3 doc makes no mention of the loader XMLs. Let me know if this is okay to be closed.

Comment 4 Tristan Tarrant 2014-07-28 12:02:49 UTC
You can close it. The loader API/SPI has been replaced with the persistence API/SPI.

Comment 5 Rakesh 2014-07-28 15:29:47 UTC
Thank you Tristan. 

Closing the bug.

Comment 6 John Osborne 2014-07-30 19:55:07 UTC
Shouldn't they also be removed from the 6.2 doc?

Comment 9 John Osborne 2014-08-04 13:15:59 UTC
The new documentation looks like it has all the references removed.  Thanks for the quick turnaround.

Comment 10 Misha H. Ali 2014-08-05 01:23:02 UTC
Thanks, John. Bobb, I'll push the changes to the internal stage and provide a link here shortly. Please ask Tomas to confirm the changes are OK on behalf of the QE team and then we'll push them live.

Comment 11 Tomas Sykora 2014-08-05 17:30:40 UTC
I have identified and immediately fixed other issues in PressGang:


18.6.2. JPA Cache Store Sample Programmatic Configuration permlink

Wrong snippet:

Configuration cacheConfig = new ConfigurationBuilder().loaders().addLoader(JpaCacheStoreConfigurationBuilder.class).persistenceUnitName("org.infinispan.loaders.jpa.configurationTest").entityClass(User.class).build();

Changed to: 

Configuration cacheConfig = new ConfigurationBuilder().persistence()
                .addStore(JpaStoreConfigurationBuilder.class)
                .persistenceUnitName("org.infinispan.persistence.jpa")
                .entityClass(User.class)
                .build(); 

Can someone shortly look whether changes are in place?

Comment 12 Tomas Sykora 2014-08-05 17:33:10 UTC
+ there is still a bug in 

17.2.2. Configure the Cache Store using XML (Library Mode)

and 

17.2.3. Configure the Cache Store Programmatically

I will fix it on Wednesday.

Comment 13 Misha H. Ali 2014-08-06 00:44:21 UTC
Bobb, please check with Tomas about which version of the docs he is working on and confirm if the 6.2 ones are OK to brew and publish.

Comment 14 Tomas Sykora 2014-08-06 07:57:58 UTC
Here we go, changed in topics for 6.3 documentation: 


Configure the Cache Store using XML (Library Mode):

Fixed configurations, reordered descriptions accordingly. shared, preload under goes store, singletonStore is only singleton now, purgerThreads and purgeSynchronosly options removed -- purgeOnStartUp description added, instead. fileStore xml parent changed to singleFile.

+ Added description of location configuration element. 


Configure the Cache Store Programmatically:

Fixed configurations, reordered descriptions accordingly. shared, preload under goes store, singletonStore is only singleton now, purgerThreads and purgeSynchronosly options removed -- purgeOnStartUp description added, instead.

+ Added description of location configuration element.

Changes should be in place. Both configuration were tried out using example application and should be fully valid.

Comment 15 Rakesh 2014-08-06 11:51:22 UTC
(In reply to Tomas Sykora from comment #14)
> Here we go, changed in topics for 6.3 documentation: 
> 
> 
> Configure the Cache Store using XML (Library Mode):
> 
> Fixed configurations, reordered descriptions accordingly. shared, preload
> under goes store, singletonStore is only singleton now, purgerThreads and
> purgeSynchronosly options removed -- purgeOnStartUp description added,
> instead. fileStore xml parent changed to singleFile.
> 
> + Added description of location configuration element. 
> 
> 
> Configure the Cache Store Programmatically:
> 
> Fixed configurations, reordered descriptions accordingly. shared, preload
> under goes store, singletonStore is only singleton now, purgerThreads and
> purgeSynchronosly options removed -- purgeOnStartUp description added,
> instead.
> 
> + Added description of location configuration element.
> 
> Changes should be in place. Both configuration were tried out using example
> application and should be fully valid.

Thank you Tomas for the changes. Examined and they look fine to me! :)

Comment 17 Rakesh 2014-08-06 12:20:12 UTC
Verifying the bug as the changes in 6.3 is complete and also the 6.2 changes are reflected in the internal doc. Acked by Tomas.

Comment 18 Misha H. Ali 2014-08-07 01:00:12 UTC
Thanks, Bobb. Asked the relevant team to release this doc now. I'll update this bug with a link once this is ready.


Note You need to log in before you can comment on or make changes to this bug.